[vte/vte-0-36] build: Do not hardcode /bin/bash



commit cbdb21f740a9369f61d6dbfb48f87bce9c5c9ba4
Author: Egmont Koblinger <egmont gmail com>
Date:   Tue Mar 18 14:42:23 2014 +0100

    build: Do not hardcode /bin/bash
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726604

 perf/img.sh                 |    2 +-
 perf/inc.sh                 |    2 +-
 src/box_drawing_generate.sh |    2 +-
 src/test-vte-sh.sh          |    4 ++--
 4 files changed, 5 insertions(+), 5 deletions(-)
---
diff --git a/perf/img.sh b/perf/img.sh
index 7cc8254..5756d2a 100755
--- a/perf/img.sh
+++ b/perf/img.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 # Image viewer for terminals that support true colors.
 # Copyright (C) 2014  Egmont Koblinger
diff --git a/perf/inc.sh b/perf/inc.sh
index fcd3e7c..ab88c90 100755
--- a/perf/inc.sh
+++ b/perf/inc.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 cnt=$1
 [ -n "$cnt" ] || cnt=500000
diff --git a/src/box_drawing_generate.sh b/src/box_drawing_generate.sh
index b1dff39..ef48788 100755
--- a/src/box_drawing_generate.sh
+++ b/src/box_drawing_generate.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
 # Copyright © 2014 Egmont Koblinger
 #
 # This program is free software; you can redistribute it and/or modify
diff --git a/src/test-vte-sh.sh b/src/test-vte-sh.sh
index 53b82fc..13bc7dd 100755
--- a/src/test-vte-sh.sh
+++ b/src/test-vte-sh.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -i
+#!/usr/bin/env bash
 # Copyright © 2013 Christian Persch
 #
 # This program is free software; you can redistribute it and/or modify
@@ -15,7 +15,7 @@
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
-set -e
+set -ei
 
 export VTE_VERSION=9999
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]